---
cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - vendor/

.template: &build
  needs: []
  stage: build
  before_script:
    - composer config gitlab-token.gitlab.com $GITLAB_ACCESS_TOKEN
  script:
    - composer install -nov --no-progress --no-dev

"PHP 7.4":
  <<: *build
  image: registry.gitlab.com/jitesoft/dockerfiles/composer-alpine:7.4

"PHP 8.0":
  <<: *build
  image: registry.gitlab.com/jitesoft/dockerfiles/composer-alpine:8.0
